package com.iamberry.wechat.core.entity.banner;

import java.util.Date;
import java.util.List;

/**
 * @author 何秀刚
 * Introduction to the ： 活动banner类
 * create date: 2016年1月8日
 */
public class ActionBanner implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8757437044535284624L;

	private Integer bannerId; // banner数据唯一标识
	
	private Date bannerStartDate; // 开始时间
	
	private Date bannerEndDate; // 结束时间
	
	private Integer bannerStatus; // banner状态，1:使用中；2:已经停用
	
	private Date bannerCreateDate; // banner创建时间
	
	private String bannerName; // banner名称
	
	private String bannerDesc; // banner简介
	
	private Integer bannerType; // banner类型
	
	private List<ActionBannerImage> actionBannerImage;//banner图片
	
	public Integer getBannerType() {
		return bannerType;
	}

	public void setBannerType(Integer bannerType) {
		this.bannerType = bannerType;
	}

	public Integer getBannerId() {
		return bannerId;
	}

	public void setBannerId(Integer bannerId) {
		this.bannerId = bannerId;
	}

	public Date getBannerStartDate() {
		return bannerStartDate;
	}

	public void setBannerStartDate(Date bannerStartDate) {
		this.bannerStartDate = bannerStartDate;
	}

	public Date getBannerEndDate() {
		return bannerEndDate;
	}

	public void setBannerEndDate(Date bannerEndDate) {
		this.bannerEndDate = bannerEndDate;
	}

	public Integer getBannerStatus() {
		return bannerStatus;
	}

	public void setBannerStatus(Integer bannerStatus) {
		this.bannerStatus = bannerStatus;
	}

	public Date getBannerCreateDate() {
		return bannerCreateDate;
	}

	public void setBannerCreateDate(Date bannerCreateDate) {
		this.bannerCreateDate = bannerCreateDate;
	}

	public String getBannerName() {
		return bannerName;
	}

	public void setBannerName(String bannerName) {
		this.bannerName = bannerName;
	}

	public String getBannerDesc() {
		return bannerDesc;
	}

	public void setBannerDesc(String bannerDesc) {
		this.bannerDesc = bannerDesc;
	}

	
	public List<ActionBannerImage> getActionBannerImage() {
		return actionBannerImage;
	}

	public void setActionBannerImage(List<ActionBannerImage> actionBannerImage) {
		this.actionBannerImage = actionBannerImage;
	}

	@Override
	public String toString() {
		return "ActionBanner [bannerId=" + bannerId + ", bannerStartDate=" + bannerStartDate + ", bannerEndDate="
				+ bannerEndDate + ", bannerStatus=" + bannerStatus + ", bannerCreateDate=" + bannerCreateDate
				+ ", bannerName=" + bannerName + ", bannerDesc=" + bannerDesc + ", bannerType=" + bannerType
				+ ", actionBannerImage=" + actionBannerImage + "]";
	}
	
}
